package Ocsinventory::Agent::Backend::OS::Linux::Distro::LSB;

sub check {can_run("lsb_release")}

sub run {
  my $params = shift;
  my $common = $params->{common};

  my $release;
  foreach (`lsb_release -d`) {
    $release = $1 if /Description:\s+(.+)/;
  }

#Check for dual boot system
  my $grubfile = '/boot/grub/grub.cfg';
 
  open FILE,'<',$grubfile;
  my $count=0;
  my $win_versions='';
  while (my $line = <FILE>){
        my $pattern='^[^#]+?(windows [^ ]+).*?(/dev[^ )]+)';

        if ($line =~ /$pattern/iog){
            $count=$count+1;
	    $win_versions=$win_versions." [ $1 @ $2 ]";
        }
  }  
  close FILE;
  if ($count > 0){ 
        $release = $release . '|DUALBOOT';
  }
#End check

  my $OSComment;
  chomp($OSComment =`uname -v`);

  $common->setHardware({ 
      OSNAME => $release,
      OSCOMMENTS => "$OSComment"."$win_versions"
    });
}



1;
